idea里面搭建maven工程时编译出错 5C

我在idea里搭建maven工程后,启动运行没有报错,但是install完以后没有形成.zip的包,看控制台输出的错误如下:图片说明图片说明请大神指教一下是什么问题,百度了好些都没有解决办法!!!

3个回答

首先你要检查一下你的plugin版本是多少,你可以maven官网找到你相应的plugin下载,再找到相应目录,替换即可。

qq_36522306
MrBoringBigFish 回复tianguozhiya: 首先找到jar包存放位置,在build前核对jar包,看是否是jar包冲突还是jar包版本不正确
大约 2 年之前 回复
tianguozhiya
去你大爷的昵称已存在 idea是会自动下载maven的
大约 2 年之前 回复

可能是maven的版本问题,使用的那个版本,可以换成apache-maven-3.3.9版本试试

tianguozhiya
去你大爷的昵称已存在 我现在的版本就是3.3.9
大约 2 年之前 回复

其实idea自带的maven就可以支持了,你可以先试下用idea自带的maven工具创建工程,如果还是报错,再考虑下载一个独立的maven。

tianguozhiya
去你大爷的昵称已存在 回复SpringViver: 我找到原因了 是因为框架里的jar包和我引入的外部jar包冲突了 所以才出现的那个问题
大约 2 年之前 回复
SpringViver
SpringViver 回复tianguozhiya: 你的pom文件里怎么配置<build>标签里内容的?也许是里面的<goal>标签内容配置不对吧。
大约 2 年之前 回复
tianguozhiya
去你大爷的昵称已存在 我这边现在有个框架 框架里面需要独立的maven 所以没用idea自带的maven
大约 2 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐